this.name        = "sniperlock_plus_conditions";
this.author      = "Dybal";
this.copyright   = "Copyright 2020 Dybal";
this.license     = "CC BY-NC-SA 4.0"
this.description = "Sniperlock Plus conditions script";
this.version     = "1.0";



//--------------------------------------------------------------------------------------------//
this.updateEquipmentPrice = function _slp_updateEquipmentPrice(equipmentKey, currentPrice) {
    var ws = worldScripts.sniperlock_plus;
    var slStatus = player.ship.equipmentStatus("EQ_SNIPERLOCK");
    var slPrice = EquipmentInfo.infoForKey("EQ_SNIPERLOCK").price;

    if (slStatus === "EQUIPMENT_OK") {
        var price = currentPrice - slPrice;
        if (ws.$debug) log(this.name, "Rebating price of EQ_SNIPERLOCK ("+formatCredits(slPrice/10, true, true)+") from "+equipmentKey+" price ("+formatCredits(currentPrice/10,true,true)+"): "+formatCredits(price/10, true, true));
        return price;
    }
    if (ws.$debug) log(this.name, equipmentKey+" price: "+formatCredits(currentPrice/10, true, true));
    return currentPrice;
}
